package com.rjconsultores.ventaboletos.vo.corrida;

import java.math.BigDecimal;

public class ColunasConsultaCorridaVO {
	
	private Integer corridaId;
	private Integer numCorrida;
	private String descServico;
	private String fechorsalidaAtual;
	private String fechorsalidaAnterior;
	private Integer tiposervicioId;
	private String descservicio;
	private Integer roloperativoId;
	private String descroloperativo;
	private Integer tramoId;
	private String desctramo;
	private Integer origemId;
	private String descOrigem;
	private Integer destinoId;
	private String descDestino;
	private Integer viaId;
	private String nombVia;
	private Integer numsecuencia;
	private Integer tramoIdAtual;
	private String desctramoAtual;
	private Integer origemIdAtual;
	private String descOrigemAtual;
	private Integer destinoIdAtual;
	private String descDestinoAtual;
	private Integer viaIdAtual;
	private String nombViaAtual;
	private Integer numsecuenciaAtual;
	private Integer oriestado_id;
	private String orinombestado;
	private Integer desestado_id;
	private String desnombestado;
	private Integer oriciudad_id;
	private String orinombciudad;
	private Integer desciudad_id;
	private String desnombciudad;
	private String oricveestado;
	private String descveestado;
	private Integer rutaId;
	private BigDecimal valorTarifa = BigDecimal.ZERO;
    private BigDecimal valorTaxa = BigDecimal.ZERO;
    private BigDecimal valorSeguro = BigDecimal.ZERO;
    private BigDecimal valorPedagio = BigDecimal.ZERO;
    private BigDecimal valorOutros = BigDecimal.ZERO;
	
	
	public Integer getCorridaId() {
		return corridaId;
	}
	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}
	public Integer getNumCorrida() {
		return numCorrida;
	}
	public void setNumCorrida(Integer numCorrida) {
		this.numCorrida = numCorrida;
	}
	public String getDescServico() {
		return descServico;
	}
	public void setDescServico(String descServico) {
		this.descServico = descServico;
	}
	public String getFechorsalidaAtual() {
		return fechorsalidaAtual;
	}
	public void setFechorsalidaAtual(String fechorsalidaAtual) {
		this.fechorsalidaAtual = fechorsalidaAtual;
	}
	public String getFechorsalidaAnterior() {
		return fechorsalidaAnterior;
	}
	public void setFechorsalidaAnterior(String fechorsalidaAnterior) {
		this.fechorsalidaAnterior = fechorsalidaAnterior;
	}
	public Integer getTiposervicioId() {
		return tiposervicioId;
	}
	public void setTiposervicioId(Integer tiposervicioId) {
		this.tiposervicioId = tiposervicioId;
	}
	public String getDescservicio() {
		return descservicio;
	}
	public void setDescservicio(String descservicio) {
		this.descservicio = descservicio;
	}
	public Integer getRoloperativoId() {
		return roloperativoId;
	}
	public void setRoloperativoId(Integer roloperativoId) {
		this.roloperativoId = roloperativoId;
	}
	public String getDescroloperativo() {
		return descroloperativo;
	}
	public void setDescroloperativo(String descroloperativo) {
		this.descroloperativo = descroloperativo;
	}
	public Integer getTramoId() {
		return tramoId;
	}
	public void setTramoId(Integer tramoId) {
		this.tramoId = tramoId;
	}
	public String getDesctramo() {
		return desctramo;
	}
	public void setDesctramo(String desctramo) {
		this.desctramo = desctramo;
	}
	public Integer getOrigemId() {
		return origemId;
	}
	public void setOrigemId(Integer origemId) {
		this.origemId = origemId;
	}
	public String getDescOrigem() {
		return descOrigem;
	}
	public void setDescOrigem(String descOrigem) {
		this.descOrigem = descOrigem;
	}
	public Integer getDestinoId() {
		return destinoId;
	}
	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}
	public String getDescDestino() {
		return descDestino;
	}
	public void setDescDestino(String descDestino) {
		this.descDestino = descDestino;
	}
	public Integer getViaId() {
		return viaId;
	}
	public void setViaId(Integer viaId) {
		this.viaId = viaId;
	}
	public String getNombVia() {
		return nombVia;
	}
	public void setNombVia(String nombVia) {
		this.nombVia = nombVia;
	}
	public Integer getNumsecuencia() {
		return numsecuencia;
	}
	public void setNumsecuencia(Integer numsecuencia) {
		this.numsecuencia = numsecuencia;
	}
	public Integer getTramoIdAtual() {
		return tramoIdAtual;
	}
	public void setTramoIdAtual(Integer tramoIdAtual) {
		this.tramoIdAtual = tramoIdAtual;
	}
	public String getDesctramoAtual() {
		return desctramoAtual;
	}
	public void setDesctramoAtual(String desctramoAtual) {
		this.desctramoAtual = desctramoAtual;
	}
	public Integer getOrigemIdAtual() {
		return origemIdAtual;
	}
	public void setOrigemIdAtual(Integer origemIdAtual) {
		this.origemIdAtual = origemIdAtual;
	}
	public String getDescOrigemAtual() {
		return descOrigemAtual;
	}
	public void setDescOrigemAtual(String descOrigemAtual) {
		this.descOrigemAtual = descOrigemAtual;
	}
	public Integer getDestinoIdAtual() {
		return destinoIdAtual;
	}
	public void setDestinoIdAtual(Integer destinoIdAtual) {
		this.destinoIdAtual = destinoIdAtual;
	}
	public String getDescDestinoAtual() {
		return descDestinoAtual;
	}
	public void setDescDestinoAtual(String descDestinoAtual) {
		this.descDestinoAtual = descDestinoAtual;
	}
	public Integer getViaIdAtual() {
		return viaIdAtual;
	}
	public void setViaIdAtual(Integer viaIdAtual) {
		this.viaIdAtual = viaIdAtual;
	}
	public String getNombViaAtual() {
		return nombViaAtual;
	}
	public void setNombViaAtual(String nombViaAtual) {
		this.nombViaAtual = nombViaAtual;
	}
	public Integer getNumsecuenciaAtual() {
		return numsecuenciaAtual;
	}
	public void setNumsecuenciaAtual(Integer numsecuenciaAtual) {
		this.numsecuenciaAtual = numsecuenciaAtual;
	}
	public Integer getOriestado_id() {
		return oriestado_id;
	}
	public void setOriestado_id(Integer oriestado_id) {
		this.oriestado_id = oriestado_id;
	}
	public String getOrinombestado() {
		return orinombestado;
	}
	public void setOrinombestado(String orinombestado) {
		this.orinombestado = orinombestado;
	}
	public Integer getDesestado_id() {
		return desestado_id;
	}
	public void setDesestado_id(Integer desestado_id) {
		this.desestado_id = desestado_id;
	}
	public String getDesnombestado() {
		return desnombestado;
	}
	public void setDesnombestado(String desnombestado) {
		this.desnombestado = desnombestado;
	}
	public Integer getOriciudad_id() {
		return oriciudad_id;
	}
	public void setOriciudad_id(Integer oriciudad_id) {
		this.oriciudad_id = oriciudad_id;
	}
	public String getOrinombciudad() {
		return orinombciudad;
	}
	public void setOrinombciudad(String orinombciudad) {
		this.orinombciudad = orinombciudad;
	}
	public Integer getDesciudad_id() {
		return desciudad_id;
	}
	public void setDesciudad_id(Integer desciudad_id) {
		this.desciudad_id = desciudad_id;
	}
	public String getDesnombciudad() {
		return desnombciudad;
	}
	public void setDesnombciudad(String desnombciudad) {
		this.desnombciudad = desnombciudad;
	}
	public String getOricveestado() {
		return oricveestado;
	}
	public void setOricveestado(String oricveestado) {
		this.oricveestado = oricveestado;
	}
	public String getDescveestado() {
		return descveestado;
	}
	public void setDescveestado(String descveestado) {
		this.descveestado = descveestado;
	}
	public Integer getRutaId() {
		return rutaId;
	}
	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}
	public BigDecimal getValorTarifa() {
		return valorTarifa;
	}
	public void setValorTarifa(BigDecimal valorTarifa) {
		this.valorTarifa = valorTarifa;
	}
	public BigDecimal getValorTaxa() {
		return valorTaxa;
	}
	public void setValorTaxa(BigDecimal valorTaxa) {
		this.valorTaxa = valorTaxa;
	}
	public BigDecimal getValorSeguro() {
		return valorSeguro;
	}
	public void setValorSeguro(BigDecimal valorSeguro) {
		this.valorSeguro = valorSeguro;
	}
	public BigDecimal getValorPedagio() {
		return valorPedagio;
	}
	public void setValorPedagio(BigDecimal valorPedagio) {
		this.valorPedagio = valorPedagio;
	}
	public BigDecimal getValorOutros() {
		return valorOutros;
	}
	public void setValorOutros(BigDecimal valorOutros) {
		this.valorOutros = valorOutros;
	}
	
}
